#include <bits/stdc++.h>
using namespace std;
void K3(int n,int x){
for(int i=0;i<n-2;i++){
    cout <<1<<" ";
}
cout <<1+x<<" "<<1+2*x<<endl;
exit(0);
}
int main(){
       ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
int n,k,x;
cin >>n>>k>>x;
if(k==3)K3(n,x);
}